> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialme.at/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Template



## OpenAPI

````yaml DELETE /templates/delete
openapi: 3.0.0
info:
  title: alto.dialme.at API
  description: API for building voice assistants
  version: '1.0'
  contact: {}
servers:
  - url: https://alto.dialme.at/api/altov2/public
security: []
tags: []
paths:
  /templates/delete:
    delete:
      tags:
        - template_delete
      operationId: template_delete
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: ID of the template
              required:
                - id
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  deleted:
                    type: string
                    example: tp_***
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Method Not Allowed
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your key from
        [Dashboard](https://alto.dialme.at/settings/apis).

````